Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156191 - Changelog says 'Socketmap Supported' but it's not compiled in.
Summary: Changelog says 'Socketmap Supported' but it's not compiled in.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 11:54 UTC by ed2019
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2007-0252
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 17:11:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0252 normal SHIPPED_LIVE Low: sendmail security and bug fix update 2007-05-01 17:11:07 UTC

Description ed2019 2005-04-28 11:54:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050406 Firefox/1.0.2 (Debian package 1.0.2-3)

Description of problem:
The changelog for sendmail specifies:

30-JUN-04
Thomas Woerner <twoerner@redhat.com> 8.13.0-1.1:
- fixed init script to not complain missing sendmail-cf package (#126975)
- better message in /etc/mail/Makefile for missing sendmail-cf package.
- added socketmap support

We need socketmap support to interface with Cyrus.  However, the RPM installed by RHEL 4 does not include socketmap support:

bash-3.00# sendmail -d0.1
Version 8.13.1
 Compiled with: DNSMAP HESIOD HES_GETMAILHOST LDAPMAP LOG MAP_REGEX
                MATCHGECOS MILTER MIME7TO8 MIME8TO7 NAMED_BIND NETINET NETINET6
                NETUNIX NEWDB NIS PIPELINING SASLv2 SCANF STARTTLS TCPWRAPPERS
                USERDB USE_LDAP_INIT

I saw bug: 126861

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=126861

Saying that it has now been compiled in, but the upgrade isn't coming down off of up2date.  So, the bug still exists in production RHEL 4.

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
1. rpm -q sendmail
2. It will be sendmail version 8.13.1-2 .
3. This RPM version doesn't have socketmap support compiled in.
  

Actual Results:  bash-3.00# rpm -q sendmail
sendmail-8.13.1-2


Expected Results:  bash-3.00# rpm -q sendmail
sendmail-8.13.1-2.1


Additional info:

Comment 1 RHEL Product and Program Management 2006-08-18 17:43:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Red Hat Bugzilla 2007-05-01 17:11:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0252.html



Note You need to log in before you can comment on or make changes to this bug.